lastSurface=1;
Function limits
  ss[]  = Surface "*";
  start = lastSurface;
  end   = #ss[];
  lastSurface=end+1;
Return

Geometry.OCCSewFaces = 1;
Geometry.OCCConnectFaces = 0;
Geometry.OCCFixSmallEdges = 1;
Geometry.OCCFixSmallFaces = 1;
Geometry.OCCFixDegenerated = 1;
Geometry.AutoCoherence=2;
Geometry.Tolerance=1e-6;

Merge "./Boco_PT_0.000.brep";
Call limits;
Physical Surface ("PT") = {start:end};

Merge "./Boco_Propergol_0.000.brep";
Call limits;
Physical Surface ("Propergol") = {start:end};

Merge "./Boco_Inhibage_0.000.brep";
Call limits;
Physical Surface ("Inhibage") = {start:end};

Merge "./Boco_Wall_0.000.brep";
Call limits;
Physical Surface ("Wall") = {start:end};

Merge "./Boco_Outflow_0.000.brep";
Call limits;
Physical Surface ("Outflow") = {start:end};

Coherence;

Printf("Last surface = %g",end);

Surface Loop(1) = {1:end};
Volume(1) = {1};
Physical Volume(1) = {1};
Coherence;

Mesh.CharacteristicLengthMax = 5;
Mesh.CharacteristicLengthMin = 1;

